SynapSynapDocs
Hub REST API

Webhooks

The Webhooks operations of the Hub REST API (4 operations).

For BuildersOpen-source podSynap CloudGenerated from Synap-core/backend@c31e261ab (main)
GET
/webhooks

Authorization

bearerAuth
headerAuthorizationBearer <API key>

Pod API key (Bearer) issued via /api/hub/setup/agent or pod admin tooling. Browser/web clients may use the X-Session-Token header instead. See GET /api/hub/auth/status to introspect the calling key.

Response Body

List of webhook subscriptions

application/json
  1. response
[index: integer]?
Example Request
curl -X GET 'https://pod.example.com/api/hub/webhooks'
Example Response
[  {    "id": "string",    "url": "string",    "eventTypes": [      "string"    ],    "active": true,    "createdAt": "string",    "lastTriggeredAt": "string"  }]
POST
/webhooks

Authorization

bearerAuth
headerAuthorizationBearer <API key>

Pod API key (Bearer) issued via /api/hub/setup/agent or pod admin tooling. Browser/web clients may use the X-Session-Token header instead. See GET /api/hub/auth/status to introspect the calling key.

Request Body

application/json
  1. body
url*string
Formaturi
eventTypes*array<string>
Items1 <= items
secret?string

Response Body

Webhook subscription created

application/json
  1. response
id*string
url*string
eventTypes*array<string>
secret?string
active*boolean
createdAt*string
Example Request
curl -X POST 'https://pod.example.com/api/hub/webhooks' \  -H 'Content-Type: application/json' \  -d '{  "url": "http://example.com",  "eventTypes": [    "string"  ]}'
Example Response
{  "id": "string",  "url": "string",  "eventTypes": [    "string"  ],  "secret": "string",  "active": true,  "createdAt": "string"}
DELETE
/webhooks/{id}

Authorization

bearerAuth
headerAuthorizationBearer <API key>

Pod API key (Bearer) issued via /api/hub/setup/agent or pod admin tooling. Browser/web clients may use the X-Session-Token header instead. See GET /api/hub/auth/status to introspect the calling key.

Path Parameters

id*string

Response Body

Subscription deleted

application/json
  1. response
success*boolean
Example Request
curl -X DELETE 'https://pod.example.com/api/hub/webhooks/string'
Example Response
{  "success": true}
GET
/webhooks/{id}/deliveries

Authorization

bearerAuth
headerAuthorizationBearer <API key>

Pod API key (Bearer) issued via /api/hub/setup/agent or pod admin tooling. Browser/web clients may use the X-Session-Token header instead. See GET /api/hub/auth/status to introspect the calling key.

Path Parameters

id*string

Query Parameters

limit?number
Range1 <= value <= 100

Response Body

Delivery log

application/json
  1. response
[index: integer]?
Example Request
curl -X GET 'https://pod.example.com/api/hub/webhooks/string/deliveries'
Example Response
[  {    "property1": null,    "property2": null  }]